nav{
    display: flex;
    justify-content:flex-end;
    margin: 0;
    position: fixed;
    right: 0;
    top:0;
    transition: 1s;
    width: 40%;
    z-index: 9;
}
.nav__ul{
    align-items: center;
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
    background: rgba(0, 0, 0, 0.7);
    border: 1px solid rgba(0, 0, 0, 0.2);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: space-around;
    position: absolute;
    right: 0;
    top:0;
    transform: translateY(-100%);
    transition: transform 0.5s ease-in;
    width: 100%;
}
.nav__a{
    color: white;
    font-size: var(--fs-highlights);
    letter-spacing: 0.8rem;
    text-shadow: 1px 1px 2px black; 
    text-transform: uppercase;
    font-family: var(--ff-titles);
    font-weight: bolder;
}
.nav__a:hover{
    color:var(--main-blue);
}
.nav__a:active, .nav__a:focus{
    color:var(--main-blue);
}
.nav__ul li{
    opacity: 0;
}
.burger{
    background: rgba(0, 204, 250, 0.58);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(1px);
    -webkit-backdrop-filter: blur(1px);
    border: 1px solid var(--main-blue);
    cursor: pointer;
    display: block;
    padding: 1rem 1rem 0.7rem 1rem;
    border-radius: var(--border-one);
    position: absolute;
    top: 2rem;
    right: 3rem;
}
.burger:hover{
    background: var(--main-blue);
}
.burger:active, .burger:focus{
    background: var(--main-blue);
}
.burger__lines{
    background-color:var(--main-darker-grey);
    height: 3px;
    margin-bottom: 5px;
    transition: all 0.3s ease;
    width: 25px;
}
.toggle .line__one{
    transform: rotate(-45deg) translate(-5px, 6px);
}
.toggle .line__two{
    opacity: 0;
}
.toggle .line__three{
    transform: rotate(45deg) translate(-5px, -6px);
}
.nav-active{
    transform: translateY(0%);
}
.down{
    transform: translateY(100%);
}



/*************MEDIAQUERIES**************/

@media (max-width: 1483px) {}
@media (max-width: 1280px) {}

@media (max-width: 1150px) {
    .ul__follow{
        width:57%;  
    }
}

@media (max-width: 950px) {/*2 REM padding*/
    .ul__follow{
        width:60%;
    }
    .burger{
        right: 2rem;
    }
    nav{
        width: 55%;
    }
}

@media (max-width: 768px) {
    .nav__ul{
        width: 100%;
    } 
    .ul__follow{  
        width:92%;
    }
}

@media (max-width: 576px) { /*1 REM padding*/
    .ul__follow{
        width:100%; 
    }
    .burger{
        top: 1rem;
        right: 1rem;
    }
    nav{
        width: 100%;
    }
}

@media (max-width: 480px) {}
@media (max-width: 455px) {}
@media (max-width: 350px) {}

/**************************************/